Bug 205887 - Review Request: perl-HTTP-Body - HTTP Body Parser
Review Request: perl-HTTP-Body - HTTP Body Parser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-09 11:50 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 20:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixed spec file (1.52 KB, text/plain)
2006-09-11 11:17 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2006-09-09 11:50:57 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-HTTP-Body.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-HTTP-Body-0.6-1.src.rpm
Description: HTTP Body Parser

New requirement for perl-Maypole.
Comment 1 Jason Tibbitts 2006-09-09 15:18:48 EDT
The %description is a bit lacking, but the package doesn't 

Some checks are skipped due to missingg BuildRequires; suggest adding
perl(Test::Pod) and perl(Test::Pod::Coverage).

Some of your explicit Requires: duplicate the ones that rpm finds: perl(Carp),
perl(File::Temp) >= 0.14, perl(IO::File).

* source files match upstream:
   e7f5963abece523dd9be27db3d37aaea  HTTP-Body-0.6.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
X BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
X final provides and requires are sane:
   perl(HTTP::Body) = 0.6
   perl(HTTP::Body::MultiPart)
   perl(HTTP::Body::OctetStream)
   perl(HTTP::Body::UrlEncoded)
   perl-HTTP-Body = 0.6-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
X  perl(Carp)
   perl(File::Temp) >= 0.14
X  perl(File::Temp) >= 0.14
   perl(HTTP::Body::MultiPart)
   perl(HTTP::Body::OctetStream)
   perl(HTTP::Body::UrlEncoded)
   perl(IO::File)
X  perl(IO::File)
   perl(YAML) >= 0.39
   perl(base)
   perl(bytes)
   perl(strict)
X %check is present but some tests are skipped due to missing BuildRequires:
   All tests successful, 2 tests skipped.
   Files=6, Tests=69,  1 wallclock secs ( 0.47 cusr +  0.12 csys =  0.59 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Jason Tibbitts 2006-09-09 15:32:58 EDT
Ummm...

>The %description is a bit lacking, but the package doesn't 

include any additional descriptive text that you could use.
Comment 3 Tom "spot" Callaway 2006-09-11 11:17:53 EDT
Created attachment 136007 [details]
Fixed spec file

This spec file has the missing BR, removes the unnecessary R, and adds a
slightly more detailed description.
Comment 4 Jason Tibbitts 2006-09-12 11:13:38 EDT
I had to change the %check section to:
   make test TEST_POD=1
to actually test everything; with that, I get:
   All tests successful.
   Files=6, Tests=77,  0 wallclock secs ( 0.59 cusr +  0.12 csys =  0.71 CPU)

The provides/requires list is now:
   perl(HTTP::Body) = 0.6
   perl(HTTP::Body::MultiPart)
   perl(HTTP::Body::OctetStream)
   perl(HTTP::Body::UrlEncoded)
   perl-HTTP-Body = 0.6-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(File::Temp) >= 0.14
   perl(HTTP::Body::MultiPart)
   perl(HTTP::Body::OctetStream)
   perl(HTTP::Body::UrlEncoded)
   perl(IO::File)
   perl(YAML) >= 0.39
   perl(base)
   perl(bytes)
   perl(strict)

which is fine.  So:

APPROVED

just tack on TEST_POD=1 when you check in.
Comment 5 Tom "spot" Callaway 2006-09-14 20:53:59 EDT
Built, thanks.

Note You need to log in before you can comment on or make changes to this bug.